package main

import (
	"encoding/json"
	"fmt"
	"os"
	"strings"
)

func main() {

	jsonData := `
    {
        "А": "A",
        "Б": "6",
        "В": "B",
        "Г": "r",
        "Д": "D",
        "Е": "E",
        "Ё": "E",
        "Ж": ")I(",
        "З": "3",
        "И": "u",
        "К": "K",
        "Л": "Jl",
        "М": "M",
        "Н": "H",
        "О": "O",
        "П": "n",
        "Р": "P",
        "С": "C",
        "Т": "T",
        "У": "Y",
        "Ф": "F",
        "Х": "X",
        "Ц": "u",
        "Ч": "4",
        "Ш": "W",
        "Щ": "W",
        "Ъ": "",
        "Ы": "bl",
        "Ь": "b",
        "Э": "E",
        "Ю": "I-O",
        "Я": "9l",
        "а": "a",
        "б": "6",
        "в": "b",
        "г": "r",
        "д": "g",
        "е": "e",
        "ё": "e",
        "ж": ")I(",
        "з": "3",
        "и": "u",
        "к": "k",
        "л": "Jl",
        "м": "m",
        "н": "H",
        "о": "o",
        "п": "n",
        "р": "p",
        "с": "c",
        "т": "T",
        "у": "y",
        "ф": "f",
        "х": "x",
        "ц": "u",
        "ч": "4",
        "ш": "w",
        "щ": "w",
        "ъ": "",
        "ы": "bl",
        "ь": "b",
        "э": "e",
        "ю": "I-o",
        "я": "9l"
    }
    `

	text := strings.Join(os.Args[1:], " ")

	var symbols map[string]interface{}

	json.Unmarshal([]byte(jsonData), &symbols)

	for i, character := range symbols {
		text = strings.ReplaceAll(text, i, fmt.Sprint(character))
	}

	fmt.Println(text)

}
